JAULA: Error handling

## Data Structures

class | JAULA::Bad_Data_Type
| class for incompatible data type exceptions More...
class | JAULA::Exception
| Base class for error handling exceptions. More...
class | JAULA::Lexan_Error
| class for lexical analysis exceptions More...
class | JAULA::Name_Duplicated
| Class for bad object property name exceptions. More...
class | JAULA::No_Error
| class for no error condition exceptions More...
class | JAULA::Syntax_Error
| class for syntax exceptions More...

## Functions

std::ostream & | operator<< (std::ostream &ostr, JAULA::Exception const &ex)
| Insertion operator extension for Exceptions.

## Detailed Description

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | ostr,
|  | JAULA::Exception const & | ex )

Insertion operator extension for Exceptions.

Parameters

  ostr | Stream where the instance is to be displayed.
  ex | Instance to display

Returns
  a reference to the stream

Description
  This method extends the standard insertion operation for streams to invoke JAULA::display() through this alternative sintax.

Author
  Kombo Morongo moron.nosp@m.go66.nosp@m.6@gma.nosp@m.il.c.nosp@m.om

References JAULA::Exception::display().

Back to JAULA Project Documentation Page.

Go to JAULA Project Home Page.

Copyright (c) 2007, 2008, 2009 Kombo Morongo.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

SourceForge.net